Skip to main content

Create a subscription

POST 

/api/v3/package

Below is a simple example – the new billing package will use the default shipping and billing address from the customer, and the default pricing from the item (item #239). The first invoice won’t be sent until the holduntil_datetime date (October 1, 2013).

When adding a new package, you can specify the payment method by using paymethod field.

  • If you know the creditcard_id, ach_id, or tokenized_id value you want to use for payment, just specify that field and value - you do not need to specify paymethod at all in this case.

  • To use any credit card the customer already has on file, just specify "paymethod": "crd".

  • To use any ACH/eCheck account the customer already has on file, just specify "paymethod": "ach".

  • To use any payment method available for this customer, just specify "paymethod": "any".

  • If you do not specify a payment method at all, ChargeOver will default to sending an invoice to the customer.

Optionally, when adding a new package, you can specify the payment cycle (how often the customer gets invoiced and/or charged for the subscription) by using the paycycle field. There are several payment cycles you can set a package to run on:


  • dly - Daily

  • 1wk - Every week

  • 2wk - Every other week

  • 116 - 1st and the 16th

  • 4wk - Every four weeks

  • 8wk - Every eight weeks

  • 30d - Every 30 days

  • mon - Monthly

  • 2mn - Every other month

  • 12w - Every twelve weeks

  • qtr - Quarterly

  • six - Every six months

  • yrl - Yearly

  • 2yr - Every 2 years

  • 3yr - Every 3 years

  • 4yr - Every 4 years

  • 5yr - Every 5 years

  • 10y - Every 10 years

If you do not specify a paycycle, the payment cycle for the subscription will set to the default payment cycle configured in your account's General Settings.

ChargeOver supports mixed payment cycle subscriptions, e.g. where part of the subscription is monthly, and part of it is yearly.

Each line item can have its own payment cycle, as defined by the paycycle attribute. If you do not define a payment cycle for the line, it defaults to the payment cycle set on the product/discount being used.

Important: Invoices are created using the paycycle of the subscription itself. Generally, your subscription payment cycle should be equal to the shortest payment cycle your lines use. Examples:

  • Subscription paycycle=mon (monthly), Line paycycle=yrl (yearly) - invoices are created monthly, but the line will only occur once per year.
  • Subscription paycycle=yrl (yearly), Line paycycle=mon (monthly) - invoices are created yearly, and each invoice will contain 12 lines (one for each month).

You can create prorated subscriptions which either generate a prorated invoice right away, or put the prorated charge on the next invoice.

The example to the right creates a new subscription, and generates a prorated invoice for the period March 12, to the end of March. The next invoice date will be April 1.

Request

Responses

Object was created successfully